@import "libs/shared/assets/src/global-style/color";

:host {
  width: 100%;
}

.container-fluid {
  margin-top: 16px;
  background: $background-main;
  padding-bottom: 16px;
}

.form {
  background: $white-color;
  padding: 16px 0px 16px 16px;
  border-radius: 16px;
  margin-top: 3rem;
}

.form-row {
  padding-top: 1rem;
  &__button {
    display: flex;
    flex-direction: column;
  }

  &__logo {
    display: flex;
    column-gap: 16px;
  }

  &__select {
    width: 100%;
    ::ng-deep {
      .ant-select-selector {
        border-radius: 4px !important;
        min-height: 40px;
        display: flex;
        align-items: center;
      }
    }
  }
  &__input {
    width: 100%;
    border-radius: 4px !important;
    min-height: 40px;
  }
  &__label {
    font-weight: 600;
    font-size: 14px;
    color: $text-pagination;
    line-height: 20px;
  }

  &__input-selected {
    ::ng-deep {
      .ant-input  {
        background: $primary-button-color;
        color: $white-color !important;
    }
  }

  }
  &__left {
    display: flex;
    flex-direction: column;
    padding: 0 0 1rem 1.5rem;

  }

  &__img {
    width: 100px;
    height: 100px;
    &__button {
      background: $primary-button-color;
      margin-left: 0;
      width: 100px;
    }
  }

  &__fileName {
    color: $file-name-color;
    display: flex;
    justify-content: space-around;
    background: $background-input-file;
    border-radius: 5px;
    span {
      padding: 7px 7px 7px 13px;
      text-overflow: ellipsis;
      overflow: hidden;
      font-weight: 700;
      white-space: nowrap;
    }
    img {
      height: 1rem;
      margin: 9px 3px 0 0;
    }
    img:hover {
      cursor: pointer;
    }
  }
  &__center {
    padding: 0 0 1rem 1.5rem;
  }
  &__right {
    position: relative;
    padding: 0 0 1rem 1.5rem;
  }
  &__right--attach {
    display: flex;
    align-items: flex-end;
    height: 100%;
  }
}

p {
  margin-bottom: 0px !important;
}

.title-input {
  margin: 0 0 0.6rem 0;
  display: flex;
  .custom {
    margin-bottom: 0 !important;
  }
}

.title {
  font-style: normal;
  font-weight: 700;
  font-size: 18px;
  line-height: 20px;
  letter-spacing: 0.15px;
  color: $black-color;
  margin-top: 16px;
}
.button-approve {
  display: flex;
  justify-content: flex-end;
  width: 78%;
  button {
    margin-left: 1rem;
    font-weight: 600;
    font-size: 14px;
    line-height: 20px;
    padding: 6px 24px;
    min-height: 32px;
  }
  .button-list {
    color: $primary-button-color;
    height: 40px;
    border-radius: 8px;
  }
  .button-save {
    background: $primary-button-color;
    height: 40px;
    color: $white-color;
    border-radius: 8px;
  }
}
.main-info-organization {
  display: flex;
  justify-content: space-between;
  padding: 24px 18px;
  background: $white-color;
  &__left {
    width: 100%;
    display: flex;
    align-items: center;
    &__pointer {
      cursor: pointer;
    }
    &__title {
      margin-left: 12px;
      margin-bottom: 0px;
    }
  }
}
.error {
  color: $text-error;
}
